summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/m4/m4/fix_for_circular_dependency.patch
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/m4/m4/fix_for_circular_dependency.patch')
-rw-r--r--meta/recipes-devtools/m4/m4/fix_for_circular_dependency.patch77
1 files changed, 77 insertions, 0 deletions
diff --git a/meta/recipes-devtools/m4/m4/fix_for_circular_dependency.patch b/meta/recipes-devtools/m4/m4/fix_for_circular_dependency.patch
new file mode 100644
index 0000000..9877453
--- /dev/null
+++ b/meta/recipes-devtools/m4/m4/fix_for_circular_dependency.patch
@@ -0,0 +1,77 @@
1Upstream-Status: Inappropriate [licensing]
2
3The older GPLv2 m4 does not work well with newer autoconf. It causes the
4circular dependency as seen bellow.
5 Removing this m4 file which was needed only forl older autoconf
6
7| configure.ac:34: error: AC_REQUIRE: circular dependency of AC_GNU_SOURCE
8| /build_disk/poky_build/build1/tmp/work/i586-poky-linux/m4-1.4.9-r0/m4-1.4.9/m4/extensions.m4:19: AC_USE_SYSTEM_EXTENSIONS is expanded from...
9| ../../lib/autoconf/specific.m4:310: AC_GNU_SOURCE is expanded from...
10| /build_disk/poky_build/build1/tmp/work/i586-poky-linux/m4-1.4.9-r0/m4-1.4.9/m4/gnulib-comp.m4:21: M4_EARLY is expanded from...
11| configure.ac:34: the top level
12| autom4te: /build_disk/poky_build/build1/tmp/sysroots/x86_64-linux/usr/bin/m4 failed with exit status: 1
13| aclocal: /build_disk/poky_build/build1/tmp/sysroots/x86_64-linux/usr/bin/autom4te failed with exit status: 1
14| autoreconf: aclocal failed with exit status: 1
15
16Nitin A Kamble <nitin.a.kamble@intel.com>
172011/03/16
18
19Index: m4-1.4.9/m4/extensions.m4
20===================================================================
21--- m4-1.4.9.orig/m4/extensions.m4
22+++ m4-1.4.9/m4/extensions.m4
23@@ -6,53 +6,10 @@
24 # gives unlimited permission to copy and/or distribute it,
25 # with or without modifications, as long as this notice is preserved.
26
27-# This definition of AC_USE_SYSTEM_EXTENSIONS is stolen from CVS
28-# Autoconf. Perhaps we can remove this once we can assume Autoconf
29-# 2.61 or later everywhere, but since CVS Autoconf mutates rapidly
30-# enough in this area it's likely we'll need to redefine
31-# AC_USE_SYSTEM_EXTENSIONS for quite some time.
32-
33-# AC_USE_SYSTEM_EXTENSIONS
34-# ------------------------
35-# Enable extensions on systems that normally disable them,
36-# typically due to standards-conformance issues.
37-AC_DEFUN([AC_USE_SYSTEM_EXTENSIONS],
38-[
39- AC_BEFORE([$0], [AC_COMPILE_IFELSE])
40- AC_BEFORE([$0], [AC_RUN_IFELSE])
41-
42- AC_REQUIRE([AC_GNU_SOURCE])
43- AC_REQUIRE([AC_AIX])
44- AC_REQUIRE([AC_MINIX])
45-
46- AH_VERBATIM([__EXTENSIONS__],
47-[/* Enable extensions on Solaris. */
48-#ifndef __EXTENSIONS__
49-# undef __EXTENSIONS__
50-#endif
51-#ifndef _POSIX_PTHREAD_SEMANTICS
52-# undef _POSIX_PTHREAD_SEMANTICS
53-#endif
54-#ifndef _TANDEM_SOURCE
55-# undef _TANDEM_SOURCE
56-#endif])
57- AC_CACHE_CHECK([whether it is safe to define __EXTENSIONS__],
58- [ac_cv_safe_to_define___extensions__],
59- [AC_COMPILE_IFELSE(
60- [AC_LANG_PROGRAM([
61-# define __EXTENSIONS__ 1
62- AC_INCLUDES_DEFAULT])],
63- [ac_cv_safe_to_define___extensions__=yes],
64- [ac_cv_safe_to_define___extensions__=no])])
65- test $ac_cv_safe_to_define___extensions__ = yes &&
66- AC_DEFINE([__EXTENSIONS__])
67- AC_DEFINE([_POSIX_PTHREAD_SEMANTICS])
68- AC_DEFINE([_TANDEM_SOURCE])
69-])
70
71 # gl_USE_SYSTEM_EXTENSIONS
72 # ------------------------
73 # Enable extensions on systems that normally disable them,
74 # typically due to standards-conformance issues.
75 AC_DEFUN([gl_USE_SYSTEM_EXTENSIONS],
76- [AC_REQUIRE([AC_USE_SYSTEM_EXTENSIONS])])
77+ [])